net.i2p.router.web.helpers

## Class ConfigLoggingHandler

- java.lang.Object
- - net.i2p.router.web.FormHandler
  - - net.i2p.router.web.helpers.ConfigLoggingHandler

-     public class ConfigLoggingHandler
      extends FormHandler

  Handler to deal with form submissions from the logging config form and act upon the values.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.i2p.router.web.FormHandler

      `FormHandler.Message`

  - ### Field Summary

    - ### Fields inherited from class net.i2p.router.web.FormHandler

      `_action, _context, _log, _method, _out, _requestWrapper, _settings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigLoggingHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `processForm()` Implement this to perform the final processing (in turn, adding formNotice and formError messages, etc) Will only be called if _action is non-null and the nonce is valid.
    `void` | `setDefaultloglevel(String level)`
    `void` | `setLevels(String levels)`
    `void` | `setLogcompress(String foo)`
    `void` | `setLogdateformat(String format)`
    `void` | `setLogfilename(String filename)`
    `void` | `setLogfilesize(String size)`
    `void` | `setLogformat(String format)`
    `void` | `setNewlogclass(String s)`
    `void` | `setNewloglevel(String s)`
    `void` | `setShouldsave(String moo)`

    - ### Methods inherited from class net.i2p.router.web.FormHandler

      `_t, _t, _t, _x, addFormError, addFormError, addFormErrorNoEscape, addFormErrorNoEscape, addFormNotice, addFormNotice, addFormNoticeNoEscape, addFormNoticeNoEscape, getAllMessages, getErrors, getJettyString, getNewNonce, getNotices, isAdvanced, setAction, setContextId, setNonce, setRequestWrapper, setSettings, storeMethod, storeNonces, storeWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigLoggingHandler

          public ConfigLoggingHandler()

  - ### Method Detail

    - #### processForm

          protected void processForm()

      Description copied from class: `FormHandler`
      Implement this to perform the final processing (in turn, adding formNotice and formError messages, etc) Will only be called if _action is non-null and the nonce is valid.
      Specified by:
        `processForm` in class `FormHandler`

    - #### setDefaultloglevel

          public void setDefaultloglevel(String level)

    - #### setLevels

          public void setLevels(String levels)

    - #### setLogcompress

          public void setLogcompress(String foo)

    - #### setLogdateformat

          public void setLogdateformat(String format)

    - #### setLogfilename

          public void setLogfilename(String filename)

    - #### setLogfilesize

          public void setLogfilesize(String size)

    - #### setLogformat

          public void setLogformat(String format)

    - #### setNewlogclass

          public void setNewlogclass(String s)

    - #### setNewloglevel

          public void setNewloglevel(String s)

    - #### setShouldsave

          public void setShouldsave(String moo)